---------------------------------------------------------
Version 1.6.1
---------------------------------------------------------
- Removed the changes made to Gravity that caused it to turn off on reset.
- Removed the changes made to Magnet Rise as it was entirely redundant.
- Renamed Psykick to "Psy-Kick."
- Greatly reduced the spawn rates of Flabebe (Allay) and Alloette.
- Slightly increased the spawn rates of Sephiredge.
- Tweaked the scale and hitbox sizes of the Falinks and their Megas.
- Gravity Field, Distortion Field, Stasis Field, and Wonderland now display an activation message when switching into battle.
- Fixed the Mega Stones to work with the new Mega Showdown format.
- Fixed the Meowsticite Mega Stone being able to Mega Evolve the Midnight/Midday forms.
- Fixed Wizledger making really loud noises at the end of a battle after using Page Turn multiple times during the battle.
- Fixed Startling Shriek/Spring Fling and Aurastorm/Hard-Boil having the same number id and conflicting.
- Fixed Tsareena (Ender) having 10 less BST than regular Tsareena (Added 10 stats to Sp. Def).
- Fixed Poponee having 10 more BST than regular Cottonee (Removed 10 stats from HP).
- Fixed the Overload and Short Ciruit TMs not having models.
- Fixed Starshot being a spread move like Swift (now a single target move as intended).
- Fixed Reshiram Beam's move description.
- Fixed Dudunsparcite X and Dudunsparcite Y mega stones having swapped models when using filament.
- Fixed Distortion Room reversing the type effectiveness of Unknown Power.
- Fixed Roserade (Wither) having 10 less HP than its pre-evolution, causing weird bugs with its HP after evolving (moved 10 Sp. Atk into its HP).
- Fixed Obyless' item drops.
- Fixed Bouncery/Alslimie unintentionally being able to spawn in the Nether and End.
- Fixed Tasty Aroma not giving immunity to biting moves.
- Fixed Trap-Jaw attempting to partially trap the target even when they've already been partially trapped (also tweaked battle log messages slightly).
- Fixed Great Hunger giving double healing when using Leech Life (no longer activates when using a move that already has a draining effect, and no longer activates at full HP. Tweaked the battle log messages slightly).
- Improved [REDACTED]'s model and textures. Eternal form is now rideable.
- Added the "sleep" flag to many sleep-inducing status moves (Spore, Sleep Powder, Hypnosis, etc) to allow Dream Catcher to redirect them.
- Added the "light" flag to Mighty Cleave and Mirror Shot, removed the "light" flag from Parabolic Charge.
- Added a new Pokemon: Espurr (Midnight).
- Added a new Pokemon: Espurr (Midday).
- Added a new Pokemon: Meowstic (Midnight).
- Added a new Pokemon: Meowstic (Midday).
- Added a new Pokemon: Mega Meowstic (Midnight).
- Added a new Pokemon: Mega Meowstic (Midday).
- Added a new Pokemon: Chorusfleur.
- Added a new move: Void Lash.
- Added a new move: Centifuge.
- Added a new move: Sinister Plan.
- Added a new move: Freelance.
- Added a new move: Flourish.
- Added a new move: Pitcher Planter.
- Added a new move: Meteor Force.
- Added a new move: Meteor Strike.
- Added a new move: Dust Devil.
- Added a new move: Maelstrom.
- Added a new move: Riptide.
- Added a new move: Lethal Injection.
- Added a new move: Solar Flare.
- Added a new move: Daybreak.
- Added a new move: Nightfall.
- Added a new move: Sunbeam.
- Added a new move: Moonbeam.
- Added a new move: Psycho Crash.
- Added a new move: Rise Above.
- Added a new move: Lunar Blade.
- Added a new move: Ice Spikes.
- Added a new move: Sharp Steel.
- Added a new move: Blazing Lance.
- Added a new move: Electric Age.
- Added a new move: Dragon Age.
- Added a new move: Shock Bomb.
- Added a new move: Live Wire.
- Added a new move: Magnetic Room.
- Added a new ability: Night Wings.
- Added a new ability: Snow Spit.
- Added a new ability: Generosity.
- Added a new ability: Phantom Dancing.
- Added a new ability: Reflector.
- Added a new ability: Tough Body.
- Added a new ability: Soothing Waves.
- Added a new ability: Dream Catcher.
- Added a new ability: Lunar Power.
- Added a new ability: Solar Force.
- Added a new ability: Void Cloak.
- Added a new ability: Copper Core.
- Added a new ability: Gravity Wings.
- Added a new ability: Magnetic Field.
- Added Sinister Plan, Flourish, Dust Devil, and Maelstrom to the SimpleTMs config.
- Added Shock Bomb, Live Wire, Magnetic Room, Superconduct, Dragon Veil, Dragon Cage, and Dragon Crystal volatile statuses/field conditions.
- Court Change, G-Max Windrage, Defog, Mortal Spin, Rapid Spin, Tidy Up, and Whip Around can now clear the new hazards (Fixed Whip Around not being able to clear Ice Spikes or Echo Shards).
- Rebalanced Gravity Field (now turns off Gravity on switch in if Gravity is already up).
- Rebalanced Gravity Well (increased speed boost to 50% instead of 33%).
- Rebalanced Long Legs (now gives immunity to the Live Wire and Shock Bomb entry hazards).
- Rebalanced Misdirection (no longer applies immediately upon switching in).
- Rebalanced Hivemind (decreased power boost to 20% instead of 33%).
- Rebalanced Hammer Time (decreased power boost to 30% instead of 50%).
- Rebalanced Sand Guard (now prevents sandstorm damage).
- Rebalanced Snow Guard (now prevents hail damage).
- Rebalanced Snow Force (decreased power boost to 30% instead of 50% for consistency with Sand Force and Void Vessel).
- Rebalanced Peculiar Palate (now halves damage taken from biting moves, is now breakable by Mold Breaker).
- Rebalanced Teleporter (no longer activates if you had just switched in that turn).
- Rebalanced Paper Thin (now doubles the base power of moves when burned/burning, unless using Facade, to counteract the burn damage reduction, now gives immunity to burns in rain to prevent an issue with flooding the battle log with messages at the end of each turn while holding the Flame Orb, no longer breakable by Mold Breaker, can't be skill swapped, role played, traced, etc. but can still be suppressed by moves or abilities like Neutralizing Gas).
- Rebalanced Final Chorus (can now be blocked by Protect and Wide Guard, improved battle log messages).
- Rebalanced Void Fog (no longer makes Psychic moves able to hit Dark types, instead Psychic types gain a 50% defense boost. Dark types are no unable to have their stats lowered in Void Fog, even from their own moves).
- Rebalanced Let It Cook (base power is now 110, now lowers Sp. Atk by 2 stages instead of just 1).
- Rebalanced Pop Up (no longer badly poisons, instead inflicts regular poison, now has a 100% flinch chance like Fake Out).
- Rebalanced Perching (now heals 1/2 max HP regularly, heals 2/3 max HP if the user has the Take-Off status).
- Rebalanced Sonic Shriek (base power is now 140, hits all adjacent Pokemon akin to Boomburst, lowers the user's Sp. Atk by 2 stages, decreased PP to 5 instead of 10).
- Rebalanced Invasion (now skips the charge turn in Void Fog, now prevents damage from sandstorm or hail during invulnerable turn, can now be hit by Extrasensory and Phase Shift during invulnerable turn, decreased PP to 5 instead of 10).
- Rebalanced Electrobullet (now a Special move instead of a Physical move).
- Rebalanced Hot Air (decreased burn chance to 10% instead of 20%).
- Rebalanced North Wind (decreased freeze/frostbite chance to 10% instead of 20%).
- Rebalanced Short Circuit (increased base power to 70 instead of 60, decreased burn chance to 20% instead of 30%).
- Rebalanced Mountain Storm (decreased base power to 50 instead of 60).
- Rebalanced Sonic Edge (increased base power to 90 instead of 85).
- Rebalanced Whip Around (decreased PP to 20 instead of 50).
- Rebalanced Mountain Point (decreased PP to 15 instead of 20).
- Rebalanced Stasis Beam (no longer applies Technician boost after the power increase from Stasis Room).
- Rebalanced Void Step (now gains a 50% power boost in Void Fog. Doesn't get a Technician boost after the power increase).
- Rebalanced Reality Break (decreased base power to 55 instead of 60).
- Rebalanced Flying Kick (decreased flinch chance to 20% instead of 30%, increased accuracy to 95 instead of 90).
- Rebalanced Valley Drop (removed recoil damage).
- Rebalanced Tiger Bridge (increased power to 95 instead of 90, increased accuracy to 100 instead of 90).
- Rebalanced Demolition (no longer clears terrain, instead clears room field effects like Trick Room, Wonder Room, Distortion Room, etc. Increased damage to 110 instead of 100).
- Rebalanced Wonder Blast (now has a secondary effect of confusing opponents in Wonder Room).
- Rebalanced Void's Lament (now changes effect if the user's Attack is higher than its Sp. Atk).
- Rebalanced Crystal Spear (increased base power back to 70 instead of 60).
- Rebalanced Zap Trap (decreased PP to 5 instead of 10, to match Champions).
- Rebalanced Morning Glory (increased base power to 85 instead of 70, decreased accuracy to 85 instead of 100).
- Rebalanced Suppression (fixed the coding so that it always nullifies the target's ability instead of only if they attack first during the turn like Core Enforcer).
- Rebalanced Conjuring Fire (increased base power to 75 instead of 55, now deals physical or special damage depending on whatever is higher for the user, completely revamped the item effects).
- Rebalanced Iron Age (increased base power to 90 instead of 80 and combined power to 160 instead of 150, now deals physical or special damage depending on which is higher for the user, added new interactions when combining with Electric Age and Dragon Age).
- Rebalanced Stone Age (increased base power to 90 instead of 80 and combined power to 160 instead of 150, now deals physical or special damage depending on which is higher for the user, added new interactions when combining with Electric Age and Dragon Age).
- Rebalanced Ice Age (increased base power to 90 instead of 80 and combined power to 160 instead of 150, now deals physical or special damage depending on which is higher for the user, added new interactions when combining with Electric Age and Dragon Age).
- Rebalanced Zekrom Kick (now fails when used by anything that isn't Zekrom, can no longer be sketched, can no longer be copied by Mimic, Mirror Move, Copycat, Me First, or Assist, can no longer be called by Metronome).
- Rebalanced Reshiram Beam (now fails when used by anything that isn't Reshiram, can no longer be sketched, can no longer be copied by Mimic, Mirror Move, Copycat, Me First, or Assist, can no longer be called by Metronome).
- Updated Melofly's learnset (Added Toxic Ballad).
- Updated Eggzurill/Eggmarill/Eggzumarill's learnset (Removed Shed Tail. Added Follow Me).
- Updated Eggzurill/Eggmarill/Eggzumarill's abilities (Replaced Hospitality with Generosity).
- Updated Carbink (Emerald)'s abilities (Replaced Hospitality with Generosity).
- Updated Papersol/Umbrelligant's learnset (Removed Decorate).
- Updated Regisculk's learnset (Added Foul Play and Sinister Plan. Removed Guard Press).
- Updated Regisculk's base stats (moved 10 of its Defense and Sp. Def into its Attack, making it 90 Defense, 90 Sp. Def, and 100 Attack).
- Updated Crabink/Crabstal's base stats (moved 30 of its Attack into its Sp. Atk, 10 of its Sp. Def into Speed).
- Updated Crabink/Crabstal's learnset (Removed Dragon Hammer and Trick Room. Added Sledgehammer, Landslide, and Demolition).
- Updated Crabink's abilities (Replaced Reverberation with Reflector).
- Updated Alloette (Vex)'s base stats (moves 10 Sp. Def into its Sp. Atk).
- Updated Alloette (Vex)'s learnset (Removed Floaty Fall, Baton Pass, and Copycat. Added Fly to its level-up learnset. Added Sinister Plan, Sacred Sword, and Dual Wingbeat).
- Updated Alloette's learnset (Removed Quiver Dance, Pollen Puff, After You, and Baton Pass. Added Mystical Fire).
- Updated Seedlin's abilities (Replaced Leaf Guard with Hydration for the Pitcher-Plant form).
- Updated Seedlin's learnset (Removed Sucker Punch, Apple Acid, and Grav Apple).
- Updated Podlin and Pitchertun's learnsets (Removed Sappy Seed, Growth, Alluring Aroma, Sucker Punch, Apple Acid, Iron Defense, and Grav Apple. Added Flourish and Pitcher Planter).
- Updated Torchlin and Torchflyer's learnsets (Removed Sucker Punch, Apple Acid, and Grav Apple).
- Updated Stygipede's learnset (Added Void Lash, Will-O-Wisp, Fire Lash, and Sinister Plan).
- Updated Centisulk's learnset (Added Void Lash, Will-O-Wisp, Fire Lash, Centifuge, and Sinister Plan).
- Increased Stygipede and Centisculk's model sizes a little.
- Updated Wimpod (Ender)/Golisomite's abilities (Replaced Wimp Out/Emergency Exit with Teleporter).
- Updated Golisomite's learnset (Added Void Lash and Sinister Plan).
- Updated Ralts/Kirlia/Gardevoir (Midnight)'s learnsets (Added Sinister Plan).
- Updated Gallade (Midnight)'s abilities (Replaced Prankster with Night Wings).
- Updated Gallade (Midnight's learnset (Added Sinister Plan).
- Updated Carbink (Echo Shard)'s learnset (Added Sinister Plan).
- Updated Echolyte's learnset (Added Sinister Plan).
- Updated Carbink (Echo Shard) and Echolyte's abilities (replaced Sturdy with Reverberation).
- Updated Djinnferno's abilities (Replaced Iron Fist with Tough Body).
- Updated Noseferatu's learnset (Added Void Fog, Corruption, and Sinister Plan).
- Updated Meloetta (Lament)'s abilities (Replaced Void Vessel with Phantom Dancing).
- Updated Meloetta (Lament)'s learnset (Removed Final Chorus. Added Sinister Plan and Freelance).
- Updated Roselia/Roserade (Wither)'s learnsets (Added Sinister Plan and Lethal Injection).
- Updated Sephiredge's learnset (Added Sinister Plan).
- Updated Pillowisp (Sweet Dreams), Pillowisp (Bad Dreams), Dreaneuma, and Phantasmare's abilities (Added Dream Catcher as a hidden ability).
- Updated Pillowisp (Bad Dreams) and Phantasmare's learnsets (Added Sinister Plan).
- Updated Druddigon (Ender)'s learnset (Added Sinister Plan and Roost).
- Updated Spritzee/Aromatisse (Midnight)'s learnsets (Added Sinister Plan).
- Updated Obyless's learnset (Added Sinister Plan).
- Updated [REDACTED]'s learnset (Added Void Fog, Void Step, and Sinister Plan).
- Updated Alslimie's learnset (Added Amnesia).
- Updated Galvantula (Ender)'s learnset (Added Zap Kick and Spiral Drain).
- Updated Lucario (Midnight)'s learnset (Added Sinister Plan).
- Updated Snowygast/Palossnow's learnset (Removed Aurora Veil).
- Updated Zephyrouge's abilities (Replaced Technician with Heavy Metal).
- Updated Zephyrouge's learnset (Added Tailwind, Heat Wave, Dust Devil, and Maelstrom).
- Updated Galecadet's abilities (Replaced Technician with Light Metal).
- Updated Galecadet's learnset (Added Tailwind, Heat Wave, Dust Devil, and Maelstrom).
- Updated Ceruclone's learnset (Added Tailwind, Heat Wave, Dust Devil, Power Blast, Riptide, and Maelstrom).
- Updated Typecast's learnsets.
- Updated Carbink (Quartz)'s learnset (Added Stomping Tantrum, and Raging Fury).
- Updated Velvettia's learnset (Added Blazing Lance, Parry, Stomping Tantrum, U-Turn, and Raging Fury).
- Updated Stonjourner (Sandstone)'s learnset (Added Meteor Force and Dust Devil).
- Updated Bittior's learnset (Added Meteor Force and Meteor Strike).
- Updated Slugrit/Dunecargo's learnsets (Added Dust Devil).
- Updated Breezior's learnset (Added Dust Devil and Maelstrom).
- Updated Trevenant (Pale)'s learnset (Removed Guard Press).
- Updated Jellicent (Happy Ghast)'s learnset (Added Maelstrom).
- Updated Clawviathan's learnset (Added Maelstrom).
- Updated Goodra (Wetlands)'s learnset (Added Riptide).
- Updated Hattertainer's base stats (Revamped completely. 57 hp, 136 atk, 55 def, 64 spa, 95 spd, 103 spe).
- Updated Hattertainer's abilities (Replaced Levitate with Unburden).
- Updated Fomantis/Lurantis (Lunar)'s abilities (Replaced Serene Grace with Lunar Power).
- Updated Fomantis/Lurantis (Lunar)'s learnsets (Removed Psyblade. Added Void Fog, Void Step, Moonbeam, and Lunar Blade).
- Updated Goodra (Wetland)'s learnset (Added Acid Armor).
- Updated Mega Golurk (Copper)'s abilities (Replaced Battery with Copper Core).
---------------------------------------------------------
Version 1.6
---------------------------------------------------------
- Fixed the SimpleTMs configs to actually allow the new moves to be obtained as TMs.
- Fixed Paper Thin not giving the "Burning" status while holding the Flame Orb.
- Fixed Pillowisp (Bad Dreams) not registering in the Pokedex.
- Fixed Moonblast being improperly flagged as a bullet move.
- Fixed Tasty Aroma not being breakable by Moldbreaker.
- Fixed Pumpkaboom/Gourgrenade sizes all looking the same size in the box menu.
- Added a new Pokemon: Petilil (Ender).
- Added a new Pokemon: Lilligant (Ender).
- Added a new Pokemon: Joltik (Ender).
- Added a new Pokemon: Galvantula (Ender).
- Added a new Pokemon: Bounsweet (Ender).
- Added a new Pokemon: Steenee (Ender).
- Added a new Pokemon: Tsareena (Ender).
- Added a new Pokemon: Poponee.
- Added a new Pokemon: Whimsipop.
- Added a new Pokemon: Bittior.
- Added a new Pokemon: Crystellar.
- Added a new Pokemon: Druddigon (Ender).
- Added a new Pokemon: Clamperl (Ender).
- Added a new Pokemon: Boxtail.
- Added a new Pokemon: Elabyss.
- Added a new Pokemon: Crabink.
- Added a new Pokemon: Crabstal.
- Added a new Pokemon: Eggzurill.
- Added a new Pokemon: Eggmarill.
- Added a new Pokemon: Eggzumarill.
- Added a new Pokemon: Bouncery.
- Added a new Pokemon: Alslimie.
- Added a new Pokemon: Spritzee (Midnight).
- Added a new Pokemon: Aromatisse (Midnight).
- Added a new Pokemon: Mega Melofly.
- Added a new Pokemon: Mega Charizard Z.
- Added a new Pokemon: Obyless.
- Added a new Pokemon: Wimpod (Ender).
- Added a new Pokemon: Golisomite.
- Added a new Pokemon: Mega Golisomite.
- Added a new Pokemon: Laceon.
- Added a new Pokemon: Meloetta (Lament).
- Added a new Pokemon: Typecast (Poison).
- Added a new Pokemon: Typecast (Fairy).
- Added a new Pokemon: Typecast (Bug).
- Added a new ability: Void Walker.
- Added a new ability: Teleporter.
- Added a new ability: Long Legs.
- Added a new ability: Attachment.
- Added a new ability: Peculiar Palate.
- Added a new ability: Poison Pop.
- Added a new ability: Stellarize.
- Added a new ability: Demoralize.
- Added a new ability: Void Vessel.
- Added a new ability: Dragon Core.
- Added a new ability: Pastel Power.
- Added a new ability: Survivalist.
- Added a new ability: Division.
- Added a new ability: Genesis.
- Added a new ability: Pest Repellent.
- Added a new ability: Gravity Field.
- Added a new ability: Dubious Perfume.
- Added a new ability: Distortion Field.
- Added a new ability: Stasis Field.
- Added a new ability: Jagged Edge.
- Added a new ability: Nature's Crown.
- Added a new ability: Deathsong.
- Added a new ability: Wonderland.
- Added a new ability: Stasis Armor.
- Added a new ability: Gravity Well.
- Added a new ability: Renegade.
- Added a new ability: Poison Absorb.
- Added a new ability: Eternaboost.
- Added a new ability: Dancing Blades.
- Added a new ability: Dancing Duet.
- Added a new ability: Puffy Fluff.
- Added a new ability: Enderize.
- Added a new ability: Busy Bee.
- Added a new ability: Heart of Void.
- Added a new ability: Elementary.
- Added a new ability: Eon Heart.
- Added a new ability: Void Song.
- Added a new ability: Feisty.
- Added a new move: Psykick.
- Added a new move: Phase Shift.
- Added a new move: Void Fog.
- Added a new move: Void Step.
- Added a new move: Pin Down.
- Added a new move: Final Chorus.
- Added a new move: Pop Up.
- Added a new move: Stone Burst.
- Added a new move: Starbit.
- Added a new move: Starshot.
- Added a new move: Light Pulse.
- Added a new move: Reality Break.
- Added a new move: Fairy Tail.
- Added a new move: Magic Beam.
- Added a new move: Take-Off.
- Added a new move: Perching.
- Added a new move: Hope's End.
- Added a new move: Shulker Bullet.
- Added a new move: Box Trap.
- Added a new move: Star Flight.
- Added a new move: Crystal Hammer.
- Added a new move: Toxic Ballad.
- Added a new move: Alluring Aroma.
- Added a new move: Sticky Bubble.
- Added a new move: Spring Fling.
- Added a new move: Hard-Boil.
- Added a new move: Startling Shriek.
- Added a new move: Aura Storm.
- Added a new move: Spiral Drain.
- Added a new move: Zap Kick.
- Added a new move: Tidal Wave.
- Added a new move: Power Blast.
- Added a new move: Full Throttle.
- Added a new move: Double Lariat.
- Added a new move: Royal Flare.
- Added a new move: Sledgehammer.
- Added a new move: Limit Break.
- Added a new move: Peerless Edge.
- Added a new move: Night March.
- Added a new move: Landslide.
- Added a new move: Mach Bolt.
- Added a new move: Gold Rush.
- Added a new move: Electrobullet.
- Added a new move: Suppression.
- Added a new move: Wonder Blast.
- Added a new move: Distortion Beam.
- Added a new move: Puppeteer.
- Added a new move: Flood.
- Added a new move: Stasis Room.
- Added a new move: Stasis Beam.
- Added a new move: Rain Bloom.
- Added a new move: Morning Glory.
- Added a new move: Gaia Horn.
- Added a new move: Mountain Point.
- Added a new move: Whip Around.
- Added a new move: Distortion Room.
- Added a new move: Invasion.
- Added a new move: Parry.
- Added a new move: Sonic Edge.
- Added a new move: Heartbeat.
- Added a new move: Zap Trap.
- Added a new move: Overload.
- Added a new move: Short Circuit.
- Added a new move: Bramble Ring.
- Added a new move: Heavy Impact.
- Added a new move: Demolition.
- Added a new move: Typhoon.
- Added a new move: Hot Air.
- Added a new move: North Wind.
- Added a new move: Abyssal Power.
- Added a new move: Corruption.
- Added a new move: Unknown Power.
- Added a new move: Void's Lament.
- Added a new item: Void Rock.
- Added a new item: Magnifying Glass.
- Added a new item: Telepearl.
- Added a new item: Box Shell.
- Added a new item: Arcane Tome (lets Wizledger change forms outside of battle).
- Added a new item: Power Energy.
- Added a new item: Mind Energy.
- Added a new item: Defend Energy.
- Added a new item: Mental Energy.
- Added a new item: Swift Energy.
- Added a new item: Meloflite.
- Added a new item: Charizardite Z.
- Added a new item: Golisominite.
- Added a new item: Rocket Flare.
- Added a new item: Fluffy Earmuffs.
- Added Psykick, Void Fog, Void Step, Starshot, Light Pulse, Fairy Tail, Magic Beam, Zap Kick, Spiral Drain, Startling Shriek, Power Blast, Landslide, Mach Bolt, Limit Break, Sledgehammer, Rain Bloom, Morning Glory, Mountain Point, Wonder Blast, Sonic Edge, Overload, Short Circuit, Heavy Impact, Demolition, and Typhoon to the SimpleTMs configs.
- Added the "horn" flag to many horn/drill moves.
- Added a new Weather condition: Void Fog (nullifies Light moves, and allows Psychic moves to hit Dark type Pokemon).
- Added a new field condition: Stasis Room (prevents all non-direct damage and prevents healing).
- Added a new field condition: Distortion Room (reverses the type effectiveness of all Pokemon except for Ghost types).
- Added new volatile statuses: Attachment, Take-Off, Levitation, Stasis, Alluring Aroma, Bramble Ring.
- Gravity can now be disabled by using the move again while the effect is active (similar to Trick Room, Wonder Room, etc).
- Dragon Breath now increased to 85 power and inflicts Fire Spin (but no longer paralyzes) when used by Mega Charizard Z or Druddigon (Ender).
- Tidy Up, Rapid Spin, Whip Around, Mortal Spin, Defog, and G-Max Wind Rage can now clear Bramble Ring.
- Magnet Rise now has infinite duration if the user has the Take-Off status (due to Take-Off using Magnet Rise to become ungrounded). Also changed Magnet Rise's starting and ending messages.
- Weather Ball can now change into a Dark-type move in Void Fog.
- Thunder Claw is now flagged as a slicing move.
- Increased the Melofly's spawn rates in The End.
- Added new Pokemon spawns for Nullscape biomes.
- Added spawns for Seedlin, Torchlin, Torchflyer, Podlin, and Pitchertun to Lush Cave biomes.
- Conjuring Fire now has an interaction when burning up the Void Rock, Telepearl, Box Shell, Magnifying Glass, Wonder Seed, Fairy Bottle, Rocket Flare, Fluffy Earmuffs, Swift Energy, Mental Energy, Mind Energy, Defend Energy, and Power Energy.
- Conjuring Fire no longer heals the target when holding Leftovers, now heals the user properly as intended.
- Magic Trick and Phantom Trick have been reworked to use a volatile status condition, and now has the option to target an ally instead of the user.
- Lifelight now damages the user every turn in Void Fog.
- Restoration no longer stacks with Black Sludge (it cancels out the healing even if the user isn't Poison-type, so it can be a counter if Tricked onto a Restoration user).
- Snow Bank now has decreased healing in harsh sunlight.
- Soft Serve no longer has increased healing in misty terrain or snow/hail. Always heals 1/2th max HP.
- Updated Hatenna (Midnight), Hattrix, and Hattertainer's movesets (Starshot, Starshower, Reality Break, Magic Beam, Light Pulse, Confuse Ray, Flatter, and Wonder Blast).
- Updated Golett/Golurk (Copper)'s movesets (Removed Ice Beam, Icy Wind, Grass Knot, Gravity, Magic Coat, Psychic, Stealth Rock, and Telekinesis from its learnset. Added Electrobullet, Mach Bolt, Mountain Storm, Force Palm, Stasis Room, Stasis Beam, Double Lariat, Electroweb, Zap Cannon, Sledgehammer, Valley Drop, Short Circuit, Overload, Heavy Impact, and Incinerate to its learnset).
- Updated Tuligant's moveset (Added Rain Bloom and Void Fog).
- Updated Slugrit and Dunecargo's movesets (Added Landslide).
- Updated Umbrelligant's moveset (Removed U-Turn. Added Zap Kick and Psykick).
- Updated Torchlin and Torchflyer's movesets (Added Morning Glory and Hot Air).
- Updated Podlin and Pitchertun's movesets (Added Alluring Scent and Rain Bloom).
- Updated Gimmibread and Gholdendough's movesets (Replaced Shadow Sneak with Astonish. Added Wonder Blast).
- Updated Flabebe (Allay) and Alloette's movesets (Added Spring Fling, Star Flight, Fairy Tail, Light Pulse, Magic Beam, and Starshot).
- Updated Alloette (Vex)'s moveset (Added Parry).
- Updated Goodra (Boglands)'s moveset (Added Landslide).
- Updated Goodra (Wetland)'s moveset (Added Flood).
- Updated Ralts/Kirlia/Gardevoir (Midnight)'s movesets (Removed Expanding Force, Synchronoise, and Psychic Terrain. Added Void Fog, Void Step, Spiral Drain, Starshot, Light Pulse, Magic Beam, Power Blast, Corruption, Wonder Blast, and Force Palm).
- Updated Gallade (Midnight)'s moveset (Removed Solar Blade, Expanding Force, Synchronoise, and Psychic Terrain. Added Void Fog, Void Step, Spiral Drain, Starshot, Light Pulse, Magic Beam, Power Blast, Corruption, Wonder Blast, Limit Break, Parry, Sonic Edge, and Force Palm).
- Updated Wimpod (Silverfish)'s moveses (Removed Liquidation and Razor Shell. Added Landslide).
- Updated Golisopede's movesets (Removed Liquidation and Razor Shell. Added Landslide, Demolition, and Heavy Impact).
- Updated Tomledger/Twinledger/Wizledger's movesets (Added Magic Beam, Wonder Blast, and Power Blast).
- Updated Galecadet's moveset (Added Force Palm, Comet Punch, and Typhoon to its learnset).
- Updated Ceruclone's moveset (Added Force Palm, Comet Punch, Typhoon, Mach Bolt, Sonic Edge, Limit Break, and Tidal Wave).
- Updated Zephyrouge's moveset (Added Force Palm, Comet Punch, Typhoon, Bullet Barrage, Bulldoze, Sledgehammer, Heavy Impact, and Limit Break).
- Updated Frillish (Ghast)'s moveset (Added Startling Shriek).
- Updated Jellicent (Apathy Ghast)'s moveset (Added Startling Shriek, Typhoon, Electrobullet, Suppression, and Void Fog).
- Updated Jellicent (Grumpy Ghast)'s moveset (Added Startling Shriek and Hot Air).
- Updated Jellicent (Happy Ghast)'s moveset (Added Startling Shriek and North Wind).
- Updated Breezior's moveset (Added Typhoon, Hot Air, North Wind, Whip Around, Power Blast, and Star Flight).
- Updated Nosepyre's moveset (Added Landslide and Sledgehammer).
- Updated Gildenose's moveset (Added Landslide, Sledgehammer, Morning Glory, Gold Rush).
- Updated Noseferatu's moveset (Added Landslide, Sledgehammer, Startling Shriek, Power Blast, Suppression, Distortion Room, and Distortion Beam).
- Updated Djinnferno's moveset (Added Double Lariat, Demolition, Heavy Impact, Limit Break, Sledgehammer, Power Blast, Landslide, and Gold Rush).
- Updated Regisculk's moveset (Added Startling Shriek, Landslide, Demolition, Void Fog, and Void Step).
- Updated Pumpkaboom/Gourgrenade's moveset (Added Startling Shriek, Demolition, Morning Glory, Growth, and Spotlight).
- Updated Porytron/Porytron2's movesets (Added Mach Bolt, Power Blast, Distortion Beam, Sonic Edge, Overload, Short Circuit, and Electrobullet).
- Updated Porytron-Z's movesets (Added Mach Bolt, Heavy Impact, Power Blast, Distortion Beam, Full Throttle, Sonic Edge, Overload, Short Circuit, and Electrobullet).
- Updated Spiritube's movesets (Added Mach Bolt, Startling Shriek, Distortion Room, Overload, Short Circuit, and Distortion Beam).
- Updated Snowygast/Palossnow's movesets (Added Startling Shriek).
- Updated Norstar/Starsteller's movesets (Added Starshot, Light Pulse, Star Flight, Power Blast, Stasis Room, Stasis Beam, and Invasion).
- Updated Pillowisp (Bad Dreams)/Phantasmare's movesets (Added Startling Shriek, Void Fog, Void Step, and  Spiral Drain).
- Updated Pillowisp (Sweet Dreams)/Dreaneuma's movesets (Added Magic Beam, Light Pulse, and Wonder Blast).
- Updated Carbink (Amethyst)/Clarissie's movesets (Added Light Pulse, Power Blast, and Wonder Blast).
- Updated Clawviathan's moveset (Added Tidal Wave).
- Updated Stygipede/Centisculk's movesets (Added Void Fog, Void Step, and Spiral Drain).
- Updated Leavanny (Clockwork)'s moveset (Added Sonic Edge, Stasis Room, and Stasis Beam).
- Updated Roselia/Roserade (Wither)'s movesets (Added Bramble Ring, Spiky Shield, Morning Glory, Rain Bloom, Spiral Drain, Void Fog, and Void Step).
- Updated Lucario (Midnight)'s moveset (Added Aura Storm, Limit Break, Corruption, Void Fog, and Void Step. Removed Steel Beam, Metal Sound, and Iron Defense).
- Updated Phantump/Trevenant (Pale)'s movesets (Added Spiral Drain, Void Fog, and Void Step).
- Updated Morelull/Shiinotic (Crimson)'s movesets (Added Morning Glory, Power Blast, and Light Pulse).
- Updated Morelull/Shiinotic (Warped)'s movesets (Added Power Blast, Light Pulse, Wonder Blast, and Magic Beam).
- Updated Fomantis/Lurantis (Lunar)'s movesets (Added Power Blast, Light Pulse, Rain Bloom, Morning Glory, and Sonic Edge).
- Updated Carbink (Echo) and Echolyte's movesets (Added Void Fog and Stone Burst).
- Updated Dhelmise (Sculk)'s moveset (Added Void Fog, Landslide, Demolition, Heavy Impact, Spiral Drain, and Mountain Point).
- Updated Tangela (Lush-Cave) and Tanglare's movesets (Added Void Fog, Morning Glory, and Rain Bloom).
- Updated Meloetta (Soprano/Acoustic)'s moveset (Added Power Blast and Light Pulse).
- Updated Stonjourner (Sandstone)'s moveset (Added Landslide and Power Blast).
- Updated Sephiredge's moveset (Added Void Fog, Sonic Edge, Distortion Beam, Limit Break, Power Blast, Hope's End, and Parry).
- Updated Falinks (Gunslinger)'s moveset (Added Limit Break, Electrobullet, Stasis Room, and Stasis Beam).
- Updated Falinks (Last Soldier)'s moveset (Added Limit Break and Night March).
- Updated Melofly's moveset (Removed Sleep Powder. Added Toxic Ballad).
- Updated Typecast (all form)'s movesets.
- Updated Typecast (all forms)'s abilities (Added Survivalist as a secondary ability option).
- Updated Tanglare's abilities (Added Rattled as a secondary ability. Added Pest Repellent as a hidden ability).
- Updated Mega Tanglare's ability (Replaced Flower Veil with Pest Repellent).
- Updated Mega Alloette's ability (Replaced Parental Bond with Dancing Duet).
- Updated Mega Alloette (Vex)'s ability (Replaced Moxie with Dancing Blades).
- Updated Goodra (Boglands) ability (Replaced Corrosion with Poison Absorb).
- Updated Podlin and Pitchertun's ability (Replaced Harvest with Bountiful).
- Updated Mega Gardevoir (Midnight)'s ability (Replaced Triage with Lifesteal).
- Updated Mega Gallade (Midnight)'s ability (Replaced Tough Claws with Jagged Edge).
- Updated Regisculk's abilities (Added Heart of Void as a hidden ability).
- Updated Pumpkaboom/Gourgrenade's abilities (Moved Bombard to hidden ability slot. Now has a new secondary ability for each form: Normal has Reckless, Small has Chlorophyll, Large has Guts, Super has Leaf Guard).
- Buffed Frigid Water to 70 base power instead of 60.
- Buffed Hattertainer by moving 2 Attack and 2 Sp. Atk into its Speed.
- Buffed Mega Electrode by moving 20 of its Attack into its Sp. Atk.
- Buffed Golisopede by swapping its Defense and Sp. Def (can better use Guard Press when non-Mega).
- Buffed Gourgrenade (Small) by moving 5 of its Speed into its Attack.
- Buffed Gourgrenade (Medium) by moving 10 of its Speed into its Attack.
- Buffed Gourgrenade (Large) by moving 15 of its Speed into its Attack.
- Buffed Gourgrenade (Super) by moving 20 of its Speed into its Attack.
- Nerfed Tanglare by moving 10 of its Speed into its Defense.
- Nerfed Gildenose by moving 20 of its Sp. Atk into its Attack.
- Nerfed Mega Lucario (Midnight) by moving 20 of its Sp. Atk into its Attack.
- Nerfed Carbink (Quartz) and Velvettia by removing Drill Run and Stomping Tantrum from its learnset.
- Nerfed Crystal Spear to 60 base power instead of 70.
- Nerfed Armor Press to 70 power instead of 80.
- Nerfed Guard Press to 70 power instead of 80.
- Nerfed Mind Bend to 70 power instead of 80, decreased confusion chance to 10%.
- Nerfed Dragon Press to 70 power instead of 80.
- Nerfed Mega Falinks (Last Soldier) by moving 30 of its Speed into its Sp. Atk, and 5 of its Attack into its Sp. Atk.
- Nerfed Mega Alloette by moving 10 of its Sp. Atk into its Attack, and moving 10 of its Defense into its Attack.
- Nerfed Mega Alloette (Vex) by moving 20 of its Attack into its Sp. Atk, and moving 10 of its Speed into its Sp. Atk.
- Nerfed Goodra (Boglands) by moving 30 of its Defense into Attack, and 10 HP into Attack. Swapped its Defense and Sp. Def stats, making it more physically bulky to differentiate from other Goodras.
- Nerfed Goodra (Wetlands) by moving 10 of its Sp. Atk into its Attack.
- Nerfed Jellicent (Happy Ghast) by decreasing its Sp. Atk by 10, but Buffed its HP stat by 10.
- Nerfed Mega Gardevoir by moving 20 of its Sp. Atk into its Attack and Speed.
- Nerfed Mega Gallade by moving 10 of its Attack into its Sp. Atk.
- Nerfed Mega Golisopede by moving 10 of its Sp. Def and 5 of its Attack into its Sp. Atk.
- Breezior now drops Breeze Rods.
- Breezior now has a custom cry sound effect.
- Melofly now has a custom cry sound effect.
- Meloetta (Soprano/Acoustic) now have custom cry sound effects.
- The ability Rectitude is now immune to the effects of Demoralize.
- The ability Blindfold now prevents accuracy drops and evasion boosts (similar to Keen Eye).
- The ability Recluse now interacts with Demoralize the same way it does with Intimidate (lowers the user's Speed by 1 stage).
- The ability Sand Guard now halves damage taken from Water-type moves in sandstorms.
- Updated the Mega Stone textures.
- Changed Meloetta (Soprano) and Meloetta (Acoustic) to use the "lasers_song_forme" aspect instead of the normal "song_forme" aspect, to prevent priority conflict when using the mod version (this will unfortunately cause existing Soprano/Acoustic form Meloettas to revert to normal Meloetta when updating old worlds).
- Updated Sephiredge's flags (no longer flagged as a mythical and paradox, instead flagged as a parallel pokemon).
- Added support for Parallel Pokemon notifications when using Cobblemon Spawn Notifications.
---------------------------------------------------------
Version 1.5.5
---------------------------------------------------------
- Fixed Darmanitan being able to Mega Evolve without being in Zen Mode (and fixed being able to Tera before Zen Mode activates).
- Fixed Morelull/Shiinotic (Crimson/Warped) not spawning properly.
- Fixed Djinnferno's EV Yield.
- Djinnferno now has Iron Fist as its secondary ability.
- Fixed Lurantis (Lunar)'s EV Yield.
- Fixed Papersol and Umbrelligant defaulting to red (is now random chance, similar to Pumpkaboo's pumpkin sizes).
- Fixed Wizledger not transforming properly (removed the alternate evolution methods, now only evolves via Dawn Stone).
- Fixed Budew's evolution method for evolving into Roselia (Wither).
- Buffed Night Terror to heal 75% instead of 50%.
- Added a new ability Snow Force.
- Added a new ability Striker.
- Added a new ability Mega Blaster.
- Added a new ability Blindfold.
- Added a new ability Lifelight.
- Added a new ability Lightforce.
- Added a new ability Great Hunger.
- Added a new ability Mist Rider.
- Added a new ability Liquify.
- Added a new ability Ignition.
- Added a new ability Cultivate.
- Added a new ability Hammer Time.
- Added a new ability Tinkerer.
- Added a new ability Aeroforce.
- Added a new ability Restoration.
- Added a new ability Spiked Heels.
- Added a new ability Sweet Dish.
- Added a new ability Strong Arm.
- Added a new ability Rapid Fists.
- Added a new ability Resilient.
- Added a new ability Reverberation.
- Added a new ability Sand Guard.
- Added a new ability Echo Burst.
- Added a new ability Gourmand.
- Added a new ability Mighty Mycelium.
- Added a new ability Net Caster.
- Added a new ability Steel Soul.
- Added a new ability Wind Glider.
- Added a new ability Trap-Jaw.
- Added a new ability Acid Spit.
- Added a new ability Champion's Mask.
- Added a new ability Rectitude.
- Added a new ability Tasty Aroma.
- Added a new move Dragon Fang.
- Added a new move Thunder Claw.
- Added a new move Spirit Drain.
- Added a new move Flying Kick.
- Added a new move Zekrom Kick (yes, that's right, Zekrom Kick).
- Added a new move Reshiram Beam.
- Added a new move Nightlight (not to be confused with Nihil Light).
- Added a new move Nosedive.
- Added a new move Flashbang.
- Added a new move Lock-In.
- Added a new move Fey Blade.
- Added a new move Turn Tail.
- Added a new move Storm Siphon.
- Added a new move Dragon Axe.
- Added a new move Five Star Punch.
- Added a new move Vine Press.
- Added a new move Phantom Trick.
- Added a new move Hammer Down.
- Added a new move Relic Dance.
- Added a new move Bolt Beam.
- Added a new move Psyclone.
- Added a new move Rainbow Wing.
- Added a new move Oblique Kick.
- Added a new move Dropkix.
- Added a new move Showdown Mode.
- Added a new move Guard Coat.
- Added a new move Pamper.
- Added a new move Shadow Stars.
- Added a new move Starshower.
- Added a new move Quick-Fire.
- Added a new move Backpetal.
- Added a new move Butterfly Landing.
- Added a new move Sugar Crash.
- Added a new move Soft Serve.
- Added a new move Mountain Storm.
- Added a new move Valley Drop.
- Added a new move Dragon's Fist.
- Added a new move Volatile Extract.
- Added a new move Triple Tumble.
- Added a new move Hypnoblast.
- Added a new move Marine Light.
- Added a new move Seismic Wave.
- Added a new move Ice Age.
- Added a new move Stone Age.
- Added a new move Iron Age.
- Added a new move Echo Shards (based on the one in Mega Showdown's hazard example).
- Added a new move Cargo Throw.
- Added a new move Giant Punch.
- Added a new move Chill Out.
- Added a new move Deep Freeze.
- Added a new move Frigid Water.
- Added a new move Honeydew.
- Added a new move Honey Bomb.
- Added a new move Leviathan Pulse.
- Added a new move Guardian Beam.
- Added a new move Tiger Bridge.
- Added a new move Ensnare.
- Added a new move Mantis Strike.
- Added a new move Potshot.
- Added a new move Fossil Fang.
- Added a new move Terra Bite.
- Added a new move Iron Fang.
- Added a new move Seamitar Slash.
- Added a new move Triple Fury.
- Added a new move Root Out.
- Added a new move Conjuring Fire.
- Added a new move Soak Up.
- Added a new move Slick Slime.
- Added a new move Slime Ball.
- Added a new move Dragon Trap.
- Added a new move Helio Beam.
- Added the "kick" flag to many moves.
- Added the "light" flag to many moves.
- Added the "beam" flag to many moves.
- Added the "hammer" flag to many moves.
- Added the "throw" flag to many moves.
- Added Cosmic Power, Showdown Mode, Volatile Extract, Butterfly Landing, Ice Spikes, Mirror Shield, Echo Shards, Cargo Throw/Grab, Volatile Extract, Ensnare, Soggy, Burning, and Honey Gather volatile statuses.
- Cosmic Power has been changed to give the Cosmic Power status to boost Starshower.
- Court Change, Rapid Spin, Mortal Spin, Tidy-Up, G-Max Wind Rage, and Defog have been changed to remove Ice Spikes and Echo Shards.
- Sweet Scent now gives the user 1 layer of honey gather.
- Fly, Bounce, and Sky Drop have been change to allow Dragon's Fist to hit them.
- Nerfed Misdirection to prevent the use of protecting moves.
- Nerfed Guard Press's accuracy by 10.
- Nerfed Hivemind to 33% damage boost instead of 50%.
- Nerfed Pitfall to 55 power instead of 70.
- Nerfed Let It Cook to 100 power instead of 110, decreased accuracy to 95.
- Nerfed Gholdendough's speed by 10, increased attack by 10.
- Nerfed Mega Tanglare's speed by 10, increased Attack by 10.
- Reworked Snow Guard to instead grant status immunity, increase Sp. Def, and halve damage from Fire moves in snow (more in-line with existing abilities, now consistent with the Leaf Guard buff in Laser's Additions).
- Reworked Paper Thin to instead give the "soggy/soaked" or "burning" volatile status when hit by a Water or Fire move respectively.
- Buffed Dark Lord to reduce damage taken from Dark-type moves.
- Updated Dhelmise (Sculk)'s learnset.
- Updated Carbink (Echo) and Echolyte's learnsets.
- Updated Carbink (Echo) and Echolyte's abilities.
- Updated Fomantis and Lurantis (Lunar)'s learnsets.
- Updated Morelull and Shiinotic (Crimson/Warped)'s learnsets (swapped out Psycho Boost for Hypnoblast).
- Updated Tangela (Lush) and Tanglare's learnsets.
- Updated Phantump (Pale) and Trevenant (Pale)'s learnsets.
- Updated Lucario (Midnight)'s learnset.
- Updated Roselia and Roserade (Midnight)'s learnsets.
- Updated Leavanny (Clockwork)'s learnset.
- Updated Sewaddle and Swadloon (Clockwork)'s abilities.
- Updated Stygipede and Centisculk's learnsets.
- Updated Clawviathan's learnset (replaced Origin Pulse with Leviathan Pulse).
- Updated Carbink (Amethyst) and Clarissie's learnsets.
- Updated Carbink (Emerald) and Beryllius' learnsets.
- Updated Pillowisp, Dreaneuma, and Phantasmare's learnsets.
- Updated Norstar and Starstellar's learnsets.
- Updated Noseferatu's learnset.
- Updated Snowygast and Palossnow's learnsets.
- Updated Spiritube's learnset.
- Updated Umbrelligant's learnset.
- Updated Pitchertun's learnset.
- Updated Porytron, Porytron2, and Porytron Z's learnsets (removed Ice Beam).
- Updated Pumpkaboom and Gourgrenade's learnsets.
- Updated Regisculk's learnset.
- Updated Tuligant's learnset.
- Updated Petilil and Lilligant (Winter)'s learnsets.
- Updated Meloetta (Soprano)'s ability.
- Updated Nosepyre, Gildenose, and Djinnferno's learnsets.
- Updated Gildenose's ability.
- Updated Breezior's learnset.
- Updated Jellicent (Grumpy Ghast)'s abilities.
- Updated Jellicent (Grumpy/Happy/Apathy Ghast)'s learnsets.
- Updated Galecadet, Ceruclone, and Zephyrouge's learnset (removed Heatwave and Flame Charge).
- Updated Torchflyer's learnset.
- Updated Golett/Golurk (Copper)'s learnsets.
- Updated Typecast's learnsets.
- Updated Melofly's learnset.
- Updated Carbink (Quartz) and Velvettia's learnsets.
- Updated Gholdendough's learnset (removed Decorate, replaced Astonish with Shadow Sneak).
- Updated Alloette (Vex)'s learnset (removed After You).
- Updated Tomledger, Twinledger, and Wizledger's learnsets (removed After You and Instruct).
- Updated Wimpod (Silverfish) and Golisopede's learnsets (removed Defend Order and Heal Order. Added Turn Tail to their learnset, but it fails if used by Golisopede).
- Updated Slugrit and Dunecargo's abilities.
- Updated Hattertainer's moveset.
- Updated Goodra (Boglands)'s moveset.
- Updated Goodra (Wetlands)'s moveset.
- Added visual effects for Vital Drain, Vital Slash, Pumpkin Bomb, Steel Cutter, Spirit Drain, Thunder Claw, Sleep Charm, Five Star Punch, and Phantom Blade.
---------------------------------------------------------
Version 1.5.4
---------------------------------------------------------
- Updated format for the new Mega Showdown format (Thanks to Mikel_ the GOAT).
- Breeze Ball is now flagged as a wind move.
- Bullet Barrage no longer unintentionally uses physical or special based on which is higher.
- Pitfall no longer makes contact.
- Updated Mega Dudunsparce X's animations.
- Mega Dudunsparce X can now fly, has new ride stats.
- Fixed Mega Dudunsparce X's profile positions.
- Updated Mega Dudunsparce Y's animations.
- Mega Dudunsparce Y can now fly, has new ride stats.
- Fixed Mega Dudunsparce Y's profile positions.
- Fixed Petilil Winter conflicting with CCC (Hopefully).
- Fixed Melofly only spawning as male.
- Adjusted Copper Golett's stats for consistency with Copper Golurk.
- Fixed incorrect EV Yields for certain forms.
---------------------------------------------------------
Version 1.5.3
---------------------------------------------------------
- Fixed Megas breaking in the newest Mega Showdown update.
- Added new moves:
  - Fleur Dance.
- Reverted Perish Body changes.
- Updated Sewaddle/Swadloon/Leavanny (Clockwork)'s movesets.
- Updated Flabebe (Allay) and Alloette's movesets.
--------------------------------------------------------------------------
Version 1.5.2
--------------------------------------------------------------------------
Perish Body (Ability):
- Reverted the changes made in Version 1.5.

Leavanny (Clockwork):
- Added Cross Chop to its learnset.
- Added U-Turn to its learnset.
- Added First Impression to its learnset.
- Added Quick Attack to its learnset.
- Added Vacuum Wave to its learnset.
- Added Acrobatics to its learnset.

Alloette:
- Added Fleur Dance to its learnset.
--------------------------------------------------------------------------
Version 1.5
--------------------------------------------------------------------------
Zephyrouge:
- Added Rapid Spin back into its learnset.
- Added Power-Up Punch to its learnset.
- Added Armor Press to its learnset.

Ceruclone:
- Replaced Wind Power with Wind Charge (Sp. Atk variant of Wind Rider).
- Added Armor Press to its learnset.

Breezior:
- Replaced Aerilate with Wind Charge.
- Replaced Magic Bounce with Aerilate.

Porytron:
- Swapped Levitate to its Hidden Ability.
- Replaced Surge Surfer with Volt Absorb.

Porytron2:
- Swapped Levitate to its Hidden Ability.
- Replaced Surge Surfer with Volt Absorb.
- Reduced Sp. Atk by 25, increased Attack by 25.
- Reduced Defense by 10, increased Attack by 10.
- Reduced Sp. Def by 10, increased Attack by 10.

Porytron-Z:
- Reduced Defense by 5, increased Attack by 5.
- Reduced Sp. Def by 5, increased Sp. Atk by 5.
- Increased Attack and Sp. Atk by 10 each (535 BST -> 555 BST).

Phantump (Pale):
- Removed Strength Sap from its learnset.
- Removed Trick Room from its learnset.
- Changed Sap Sipper to a new ability Forest Spirit (Boosts user and ally Grass moves by 1.5x).

Trevenant (Pale):
- Added Guard Press to its learnset.
- Reduced Defense by 10, increased Sp. Atk by 10.
- Reduced Sp. Defense by 10, increased Sp. Atk by 10.
- Removed Strength Sap from its learnset.
- Removed Trick Room from its learnset.
- Replaced Sap Sipper with Forest Spirit (Boosts user and ally Grass moves by 1.5x).

Jellicent (Happy Ghast):
- Reduced Sp. Atk by 20, increased Attack by 20.

Lucario (Midnight):
- Was given a new Mega form.
- Added Berserk as a second ability.
- Added No Guard as a hidden ability.
- Added Dynamic Punch to its learnset.
- Added Will-O-Wisp to its learnset.

Umbrelligant:
- Replaced Overcoat with Paper Thin (The Pokémon is made of paper, increasing damage recieved from Fire- and Water-type moves. When hit by a Fire- or Water-type move, its Speed stat is sharply boosted. Reduces HP in rain, takes increased damage from Burn, but has an increased critical-hit ratio).
- Reduced Sp. Atk by 20, increased Attack by 20.
- Reduced Sp. Atk by 10, increased Speed by 10.
- Replaced Body Slam with Paper Cut (60 power Normal move gauranteed to crit).
- Added U-Turn to its learnset.
- Added Flip Turn to its learnset.

Tuligant:
- Reduced Speed by 15, increased Sp. Attack by 10 and Sp. Def by 5.
- Reduced Attack by 10, increased Sp. Def by 10.
- Replaced Own Tempo with Recluse.
- Added Eerie Spell to its learnset.
- Added Trick Room to its learnset.
- Added Confuse Ray to its learnset.
- Added Leaf Tornado to its learnset.
- Added Sludge Bomb to its learnset.

Slugrit & Dunecargo:
- Changed Flame Body to a new ability Hot Sand (same effect as Flame Body but grants immunity to burn).
- Added Sand Shift to its learnset.
- Added Guard Press to its learnset.

Regisculk:
- Changed both Soundproof and Punk Rock to a new ability Shrieker (combination of the two abilities).
- Added Sonic Shriek to its learnset (no longer learns Night Daze).
- Added Guard Press to its learnset.

Gardevoir (Midnight):
- Was given a new Mega form.
- Changed Triage to a new ability Lifesteal (powers up HP-Draining moves by 1.5x). Mega Evolution keeps Triage.
- Added Vital Drain to its learnset.

Gallade (Midnight):
- Was given a new Mega form.
- Added Vital Slash to its learnset.
- Added Steel Cutter to its learnset.
- Added Terrain Blade to its learnset.

Sephiredge:
- Added Vital Slash to its learnset.
- Added Steel Cutter to its learnset.
- Added Terrain Blade to its learnset.

Pillowisp (Sweet Dreams):
- Changed Comatose to a new ability Sweet Dreams (heals sleeping allies by 1/8 max HP per turn, opposite effect of Bad Dreams).

Dreaneuma:
- Changed Comatose to a new ability Sweet Dreams (heals sleeping allies by 1/8 max HP per turn, opposite effect of Bad Dreams).
- Added Sleep Charm to its learnset.
- Added Psychic Snap to its learnset.
- Added Mind Bend to its learnset.

Phantasmare:
- Added Night Terror to its learnset.
- Added Psychic Snap to its learnset.
- Added Mind Bend to its learnset.

Pumpkaboom & Gourgrenade:
- Replaced Bulletproof with Bombard (boosts the power of ball and bullet moves by 1.5x).
- Replaced Fire Lash with Fire Bomb (40 power bomb move with 100% burn chance).
- Added Pumpkin Bomb to its learnset.

Typecast:
- Changed hidden ability to their respective Type Mastery abilities (Grants immunity to specific type, while ignoring immunities and abilities of opponents).

Falinks (Last Soldier):
- Added Bulletproof as a second ability.
- Replaced No Retreat with Last Stand (Sharply raises Attack and Sp. Atk, raises speed, but prevents switching out).
- Added Armor Press to its learnset.

Falinks (Gunslinger):
- Added Bulletproof as a second ability.
- Replaced No Retreat with Hold the Line (Sharply raises Defense and Sp. Def, but prevents switching out).
- Replaced Iron Head with Bullet Barrage (Steel type Bullet Seed).
- Added Fire Bomb to its learnset.
- Added Armor Press to its learnset.

Jellicent (Grumpy Ghast):
- Added Fire Bomb to its learnset.

Hatenna (Midnight) & Hattrix:
- Replaced Anticipation with Misdirection (Redirects all attacks towards it, same effect as Follow Me, or Lightning Rod without the immunity).

Hattertainer:
- Added a G-Max form.
- Replaced Power Swap with Magic Trick (swaps Attack and Sp. Atk).
- Replaced Anticipation with Levitate.

Goodra (Boglands):
- Added Dragon Press to its learnset.

Goodra (Wetlands):
- Added Dragon Press to its learnset.

Lurantis (Lunar):
- Reduced Speed by 15, increased HP by 5 and Sp. Def by 10.
- Reduced Attack by 5, increased Speed by 5.
- Reduced Sp. Def by 5, increased Speed by 5.
- Added Calm Mind to its learnset.
- Added Agility to its learnset.
- Added Psyshock to its learnset.
- Added Terrain Blade to its learnset (physical Terrain Pulse).
- Added Steel Cutter to its learnset.
- Added Trick Room to its learnset.
- Added Mind Bend to its learnset.
- Added Lunar Blessing to its learnset.

Dhelmise (Sculk):
- Added Dig Deep to its learnset (Steel move that deals super effective damage against Ground types).

Golisopede:
- Added Pitfall to its learnset.
- Added Steel Cutter to its learnset.
- Added Sand Shift to its learnset.
- Added Armor Press to its learnset.
- Added Guard Press to its learnset.

Alloette (Vex):
- Was given a new Mega form.
- Added Steel Cutter to its learnset.
- Added Terrain Blade to its learnset.
- Added Phantom Blade to its learnset.

Sephiredge:
- Moved Surpreme Overlord to hidden ability.
- Replaced Dark Aura with Dark Lord (Dark-type version of Rocky Payload).
- Replaced Oblivion Wing with Night Daze.

Nosepyre:
- Replaced Shore Up with Generation Dance (Rock type healing move, double healing in harsh sunlight).
- Added Guard Press to its learnset.

Gildenose:
- Replaced Shore Up with Generation Dance (Rock type healing move, double healing in harsh sunlight).
- Added Guard Press to its learnset.

Noseferatu:
- Replaced Shore Up with Generation Dance (Rock type healing move, double healing in harsh sunlight).
- Added Guard Press to its learnset.

Djinnferno:
- Added a signature Z-Move, Vengeance of Generations.
- Added Guard Press to its learnset.
- Added Bygone Bash to its learnset (Ghost type version of Flare Blitz).
- Replaced Shore Up with Generation Dance (Rock type healing move, double healing in harsh sunlight).

Iron Fist (Ability):
- Buffed Iron Fist to 1.5x boost, for consistency with other similar abilities.

Golurk (Copper):
- Redistributed the stats to make each form more balanced.
    - Copper is a moderately fast special attacker with low base HP and equal defenses.
    - Exposed Copper is a mid-speed special attacking special tank with low base defense.
    - Weather Copper is a low speed physical attacking physical tank with low base sp. def.
    - Oxidized Copper is a really slow physical attacker with high base HP and equal defenses.
- Added Armor Press to its learnset (Steel type version of Body Press).

Carbink (Amethyst)/Clarissie:
- Added Guard Press to its learnset.
- Added Mind Bend to its learnset.
- Added Psychic Snap to its learnset.

Carbink (Echo)/Echolyte:
- Added Guard Press to its learnset.

Carbink (Emerald)/Beryllius:
- Added Guard Press to its learnset.

Stonjourner (Sandstone):
- Added a new Mega Evolution.
- Added Guard Press to its learnset.
- Added Mind Bend to its learnset.

Perish Body (Ability):
- Now only applies Perish Song to the attacker, rather than applying to both.